choix = 0
gris1 = Color.new(220,220,220)
gris2 = Color.new(125,125,125)
selecteur = 0
option1 = Image.load("APPS/Parametres/icon.png")
selecteur_img = Image.load("IMG/selector.png")
while true do
screen:clear()
pad = Controls.read()

position_selecteur_wall_y = 0-selecteur*40

screen:blit(0,position_selecteur_wall_y+selecteur*80+26-158,selecteur_img,0,0,480,79)
screen:blit(0,position_selecteur_wall_y+selecteur*80+26-79,selecteur_img)
screen:blit(0,position_selecteur_wall_y+selecteur*80+26+79,selecteur_img,0,0,480,79)

screen:blit(5,position_selecteur_wall_y+28,option1)
screen:fontPrint(font,85,position_selecteur_wall_y+46,"Mise a jour du shell",gris1)
screen:blit(5,position_selecteur_wall_y+108,option1)
screen:fontPrint(font,85,position_selecteur_wall_y+126,"Numero du model",gris1)
screen:fontPrint(small_font,85,position_selecteur_wall_y+146,"PSP "..System.getModel(0),gris2)
screen:blit(5,position_selecteur_wall_y+188,option1)
screen:fontPrint(font,85,position_selecteur_wall_y+206,"Version d'android",gris1)
screen:fontPrint(small_font,85,position_selecteur_wall_y+226,"Beta 1.2",gris2)
screen:blit(5,position_selecteur_wall_y+268,option1)
screen:fontPrint(font,85,position_selecteur_wall_y+286,"Cree par psgarsenal",gris1)
screen:blit(5,position_selecteur_wall_y+348,option1)
screen:fontPrint(font,85,position_selecteur_wall_y+366,"Mode DEV",gris1)
screen:fontPrint(small_font,85,position_selecteur_wall_y+386,"Seulement pour les devellopeurs",gris2)
screen:fontPrint(small_font,85,position_selecteur_wall_y+396,"Mode dev "..dev_string..".",gris2)

if selecteur < 4 then
 if pad:down() and not oldpad:down() or pad:analogY()>60 then
  selecteur=selecteur+1
 end
end

if selecteur > 0 then
 if pad:up() and not oldpad:up() or pad:analogY()<-60 then
  selecteur=selecteur-1
 end
end 
 
if pad:cross() and not oldpad:cross() then
 if selecteur == 0 then
  System.message("Vous possedez la derniere version d'Android Shell",0)
 elseif selecteur == 4 then
  fichier = io.open("ms0:/psp/game/Android/system/dev.lua","w")
  if dev == false then
   System.message("Vous allez passer en mode dev",0)
   fichier:write("dev = true")
   dev_string = "actif"
  elseif dev == true then
   System.message("Vous allez desactiver le mode dev",0)
   fichier:write("dev = false")
   dev_string = "inactif"
  end
  fichier:close()
 end
end

if pad:triangle() and not oldpad:triangle() and help==false then
 help=true
elseif pad:triangle() and not oldpad:triangle() and help==true then
 help=false
end
if help == true then
 System.message("Aide\n"..
                "Pour valider un choix, appuyez sur croix.\n"..
                "Pour retourner au menu precedent, appuyez sur rond.\n",0)
 help = false
end

if pad:circle() and not oldpad:circle() then 
 dofile("APPS/Parametres/script.lua")
end
Android:Barre()
screen.flip()
screen.waitVblankStart()
oldpad = pad
end
